package state

import (
	s "git.bazzel.dev/bmallen/helios/pkg/state"
)

var defaultState = s.New()

func Get(key string) any                       { return defaultState.Get(key) }
func Set(key string, value any)                { defaultState.Set(key, value) }
func Delete(key string)                        { defaultState.Delete(key) }
func Keys() []string                           { return defaultState.Keys() }
func Range(f func(key string, value any) bool) { defaultState.Range(f) }

func ID() string { return defaultState.ID() }
